Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Class ChoiceDefinition

    java.lang.Object
      org.eclipse.birt.report.model.api.extension.ChoiceDefinition

All Implemented Interfaces:
  IChoiceDefinition

    public abstract class ChoiceDefinition

extends java.lang.Object
implements IChoiceDefinition

Adapter class for the IChoiceDefinition class.

Constructor Summary
`ChoiceDefinition()`

Method Summary
`abstract java.lang.String` | `getDisplayNameID()` Returns the resource key for localized display name of this choice.
`abstract java.lang.String` | `getName()` Returns the non-localized, internal version of the choice.
`java.lang.Object` | `getValue()` Returns the value to which this choice corresponds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceDefinition

    public ChoiceDefinition()

Method Detail

### getDisplayNameID

    public abstract java.lang.String getDisplayNameID()

  Description copied from interface: `IChoiceDefinition`
  Returns the resource key for localized display name of this choice.

  Specified by:
    `getDisplayNameID` in interface `IChoiceDefinition`
  Returns:
    the resource key for localized display name of this choice.

### getName

    public abstract java.lang.String getName()

  Description copied from interface: `IChoiceDefinition`
  Returns the non-localized, internal version of the choice.

  Specified by:
    `getName` in interface `IChoiceDefinition`
  Returns:
    the non-localized internal choice value

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `IChoiceDefinition`
  Returns the value to which this choice corresponds. For example, a color may have a name and a value that is an RGB value. The value is optional.

  Specified by:
    `getValue` in interface `IChoiceDefinition`
  Returns:
    the value that this choice represents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.